#!-PERL-
# underline2italics.pl
# Copyright : Norwegian Telecom Research, 1993
# Programming : Jon Stephenson von Tetzchner
# This file can be changed and modified as long as this
# header is kept intact. This code can not be included
# in a commercial product.

# This script is part of the fm2html package.

$* = 0;
$/ = "";

if ($#ARGV != 1)
{
  print "\nUsage: underline2italics <Infile> <Outfile>\n";
  die;
}

$infile = $ARGV[0];
$outfile = $ARGV[1];

open (INF, "<$infile") || die ("Could not open input file \"$infile\".");
open (OUTF, ">$outfile") || die ("Could not open output file \"$outfile\".");

while(<INF>)
{
    s#<U>#<I>#ig;
    s#</U>#</I>#ig;
    print OUTF;
}

close (OUTF);
close (INF);
